summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mikko Värri2011-03-03 17:55:25 +0100
committer Robby Workman2011-03-04 17:12:48 +0100
commitaed5eec9ff732cadfcf6740261b7545084c4aa9c (patch)
treeed642a541295207883a593fedc8286bd3fdf283e
parentcbf03f7da89d84318c894aa1878b01acda2b871d (diff)
downloadslackbuilds-aed5eec9ff732cadfcf6740261b7545084c4aa9c.tar.gz
libraries/haskell-hashed-storage: Added (hashed file storage support)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/haskell-hashed-storage/README13
-rw-r--r--libraries/haskell-hashed-storage/doinst.sh1
-rw-r--r--libraries/haskell-hashed-storage/haskell-hashed-storage.SlackBuild90
-rw-r--r--libraries/haskell-hashed-storage/haskell-hashed-storage.info10
-rw-r--r--libraries/haskell-hashed-storage/slack-desc19
5 files changed, 133 insertions, 0 deletions
diff --git a/libraries/haskell-hashed-storage/README b/libraries/haskell-hashed-storage/README
new file mode 100644
index 0000000000..2f8d278cd8
--- /dev/null
+++ b/libraries/haskell-hashed-storage/README
@@ -0,0 +1,13 @@
+Support code for reading and manipulating hashed file storage (where
+each file and directory is associated with a cryptographic hash, for
+corruption-resistant storage and fast comparisons).
+
+The supported storage formats include darcs hashed pristine, a plain
+filesystem tree and an indexed plain tree (where the index maintains
+hashes of the plain files and directories).
+
+This requires ghc, haskell-binary, haskell-dataenc, haskell-mmap,
+haskell-transformers, haskell-zlib, and haskell-mtl.
+
+After uninstalling, run this command to unregister the package from
+the ghc package database: ghc-pkg recache
diff --git a/libraries/haskell-hashed-storage/doinst.sh b/libraries/haskell-hashed-storage/doinst.sh
new file mode 100644
index 0000000000..3268c238bf
--- /dev/null
+++ b/libraries/haskell-hashed-storage/doinst.sh
@@ -0,0 +1 @@
+chroot . /usr/bin/ghc-pkg recache
diff --git a/libraries/haskell-hashed-storage/haskell-hashed-storage.SlackBuild b/libraries/haskell-hashed-storage/haskell-hashed-storage.SlackBuild
new file mode 100644
index 0000000000..f6e04cccd8
--- /dev/null
+++ b/libraries/haskell-hashed-storage/haskell-hashed-storage.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for hashed-storage
+
+# Written by Mikko Värri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=haskell-hashed-storage
+VERSION=${VERSION:-0.5.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+GHC_VERSION=$(ghc --numeric-version)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runghc Setup.hs configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$SRCNAM-$VERSION \
+ --enable-shared \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.hs build
+runghc Setup.hs haddock
+runghc Setup.hs copy --destdir=$PKG
+runghc Setup.hs register --gen-pkg-config
+
+PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
+PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )
+mkdir -p $PKG/$PKGCONFD
+mv $SRCNAM-$VERSION.conf $PKG/$PKGCONFD/$PKGID.conf
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/haskell-hashed-storage/haskell-hashed-storage.info b/libraries/haskell-hashed-storage/haskell-hashed-storage.info
new file mode 100644
index 0000000000..9a6e8d4f5e
--- /dev/null
+++ b/libraries/haskell-hashed-storage/haskell-hashed-storage.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-hashed-storage"
+VERSION="0.5.4"
+HOMEPAGE="http://hackage.haskell.org/package/hashed-storage"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/hashed-storage/0.5.4/hashed-storage-0.5.4.tar.gz"
+MD5SUM="e182a3fe6f977b0df85641da5df8e4f2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/libraries/haskell-hashed-storage/slack-desc b/libraries/haskell-hashed-storage/slack-desc
new file mode 100644
index 0000000000..82b57a0e6d
--- /dev/null
+++ b/libraries/haskell-hashed-storage/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-hashed-storage: haskell-hashed-storage (Hashed file storage support code)
+haskell-hashed-storage:
+haskell-hashed-storage: Support code for reading and manipulating hashed file storage (where
+haskell-hashed-storage: each file and directory is associated with a cryptographic hash, for
+haskell-hashed-storage: corruption-resistant storage and fast comparisons).
+haskell-hashed-storage:
+haskell-hashed-storage: The supported storage formats include darcs hashed pristine, a plain
+haskell-hashed-storage: filesystem tree and an indexed plain tree (where the index maintains
+haskell-hashed-storage: hashes of the plain files and directories).
+haskell-hashed-storage:
+haskell-hashed-storage: http://hackage.haskell.org/package/hashed-storage